Bug 440300 - garbled fonts at menu screen
garbled fonts at menu screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 13:55 EDT by Tom "spot" Callaway
Modified: 2009-07-14 13:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
picture of menu corruption (81.13 KB, image/jpeg)
2008-04-02 13:55 EDT, Tom "spot" Callaway
no flags Details
xorg conf (605 bytes, text/plain)
2008-04-09 09:34 EDT, Tom "spot" Callaway
no flags Details
X log (25.98 KB, text/plain)
2008-04-09 09:36 EDT, Tom "spot" Callaway
no flags Details

  None (edit)
Description Tom "spot" Callaway 2008-04-02 13:55:48 EDT
Description of problem:

The menu screen for Critical Mass has some graphics corruption, specifically,
the fonts seem to be damaged, and none of the menu text is legible.

I took a picture of it with my cell phone camera, which is attached to this bug
report.
Comment 1 Tom "spot" Callaway 2008-04-02 13:55:48 EDT
Created attachment 300106 [details]
picture of menu corruption
Comment 2 Hans de Goede 2008-04-02 14:15:56 EDT
Works fine for me (x86_64, ati r350 card) I guess this is a mesa issue with your
card, changing the component to mesa.

What kind of graphics card do you have?

Comment 3 Tom "spot" Callaway 2008-04-02 16:04:01 EDT
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)

There's no corruption in game, just the text on that menu screen.
Comment 4 Hans de Goede 2008-04-03 04:48:55 EDT
(In reply to comment #3)
> 00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
> 943/940GML Express Integrated Graphics Controller (rev 03)
> 
> There's no corruption in game, just the text on that menu screen.

I just tried this (once more) on my intel test machine and you are so lucky, you
actually get a picture with OpenGL apps :)

On my machine:
00:02.0 VGA compatible controller: Intel Corporation 82865G Integrated Graphics
Controller (rev 02)

All I get with opengl is a frozen machine :( (With everything OpenGL releated
updated to the latest builds in koji)

I'll check if there already is a bug for this and if not file one.
Comment 5 Matěj Cepl 2008-04-09 08:03:15 EDT
Tom, could we get /etc/X11/xorg.conf and /var/log/Xorg.0.log, please?
Comment 6 Tom "spot" Callaway 2008-04-09 09:34:59 EDT
Created attachment 301802 [details]
xorg conf

Note, disabling exa does not affect this.
Comment 7 Tom "spot" Callaway 2008-04-09 09:36:10 EDT
Created attachment 301803 [details]
X log
Comment 8 Tom "spot" Callaway 2008-04-09 09:36:38 EDT
There you go. :)
Comment 9 Bug Zapper 2008-05-14 04:35:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-06-09 19:58:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 13:35:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.